﻿using SixLabors.ImageSharp;
using SixLabors.ImageSharp.Advanced;
using SixLabors.ImageSharp.PixelFormats;
using System;

namespace ISPixelDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            // Individual pixels
            using (Image<Rgba32> image = new Image<Rgba32>(400, 400))
            {
                image[200, 200] = Rgba32.White;
            }

            using (Image<Rgba32> image2 = new Image<Rgba32>(1920, 1080))
            {
                for (int y = 0; y < image2.Height; y++)
                {
                    Span<Rgba32> row = image2.GetPixelRowSpan(y);

                    for (int x = 0; x < row.Length; x++)
                    {
                        byte a = 100;

                        ref Rgba32 pixel = ref row[x];
                        pixel.R = a;
                        pixel.G = a;
                        pixel.B = a;
                        pixel.A = 255;
                    }
                }
            }


            Console.WriteLine("You owe everyone here an apology!");
        }
    }
}
